View Issue Details

IDProjectCategoryView StatusLast Update
0001988Industrial-Craft²machinespublic2017-05-02 14:28
ReporterutildayaelAssigned ToPlayer 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIC2 2.6.37-ex110OSOS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0001988: Massive FPS Drop With Recyclers
DescriptionExperiencing a massive fps drop [down to 1-2 fps] when recyclers are running. I have 10 of them set up to process scrap for a mass fab.

Once the recyclers stop, fps goes back to normal.
Steps To ReproduceCreate a group of 10 recyclers being fed cobble slabs [or really anything] and let them run. Output items to mass fab [optional].

Additional InformationI've tested with Mekanism logistics pipes as well as EnderIO item conduits with no change in behavior. Had issues getting ExtraUtils nodes to connect so was unable to test with those.


MC 1.10.2
IC2 2.6.37-ex110
Forge 2065

TagsNo tags attached.
Minecraft Version1.10.2

Relationships

related to 0002076 resolvedPlayer FPS drop when machine requests more power than cables have available 
related to 0002164 resolvedPlayer Underpowered miner kills FPS 

Activities

Aroma1997

2016-09-05 07:38

developer   ~0004736

Do they have enough power and resources to run constantly or are they constantly turning on and off?

utildayael

2016-09-05 15:51

reporter   ~0004737

You know that was spot on and I hadn't even thought of that! I had plenty of power but my cobble gen ran behind so the recyclers [which has 10x overclocks] were constantly going on/off as they ran out of material.

But ya... when that happens it is a cycle of death. 1-2 fps as I have 10 recyclers blinking on/off as they get a stack of slabs to process and immediately chew through them, go idle for a second and get another stack.

It's in the "almost keeping up 100% but not quite" stage so the delay between "I have material to work with!" and "I have nothing! Shutting down!" is very short.

utildayael

2016-09-05 16:47

reporter   ~0004738

Dropped a few overclockers off each recycler so the material feed could keep up 100% of the time and ya that was absolutely the problem.

utildayael

2016-09-05 17:19

reporter  

2016-09-05_12.16.22.png (762,241 bytes)

utildayael

2016-09-05 17:20

reporter  

2016-09-05_12.18.13.png (745,843 bytes)

utildayael

2016-09-05 17:22

reporter   ~0004739

Added some screenshots to show my setup if that helps both with and without debug on.

One thing I noticed while standing there watching the recyclers work is that even with full power and full material, if there was a backup anywhere in the chain and they had to cycle on/off that would dip my framerate quite a bit. Normal framerate is 80+ and it would dip down to 5-15fps as the machines cycled.

In this case, the storage drawer holding all the scrap would get full; mass fab would pull in more scrap; recyclers toggle on to make more scrap as they now have inventory room to do so. Repeat. It didn't stay at 5-15 all the time but about every 15 seconds it would drop from 80-90 down to 5-15 so it makes for fairly significant stuttering. Much better than constant 1-2fps 100% solid but not good either. :)

Aroma1997

2016-09-06 07:27

developer   ~0004744

It's probably the chunk updates causing that.

utildayael

2016-09-19 19:22

reporter   ~0004766

Pretty much same issue but if the recyclers are making scrap faster than mass fab can use it, bit of lag. It's not as bad as the soul-crushing earlier but it was a significant hit. That's with a storage drawer as a buffer holding 800 stacks of scrap. Granted, that's functionally no different than using no buffer as it still causes the machines to cycle on and off constantly as their internal buffer drops below 64 items.

Chocohead

2017-05-02 14:28

developer   ~0005186

Update to IC2 2.6.205 and it shouldn't lag any more. If it still does please follow the instructions here: 0002164:0005182

Issue History

Date Modified Username Field Change
2016-09-05 04:32 utildayael New Issue
2016-09-05 07:38 Aroma1997 Note Added: 0004736
2016-09-05 15:51 utildayael Note Added: 0004737
2016-09-05 16:47 utildayael Note Added: 0004738
2016-09-05 17:19 utildayael File Added: 2016-09-05_12.16.22.png
2016-09-05 17:20 utildayael File Added: 2016-09-05_12.18.13.png
2016-09-05 17:22 utildayael Note Added: 0004739
2016-09-06 07:27 Aroma1997 Note Added: 0004744
2016-09-19 19:22 utildayael Note Added: 0004766
2017-02-08 14:39 Chocohead Relationship added related to 0002076
2017-04-27 16:03 Chocohead Relationship added related to 0002164
2017-05-02 14:28 Chocohead Note Added: 0005186
2017-05-02 14:28 Chocohead Status new => resolved
2017-05-02 14:28 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-05-02 14:28 Chocohead Resolution open => fixed
2017-05-02 14:28 Chocohead Assigned To => Player